Subject: Re: exc C0000005 when running from NT Command Prompt
From: [email-masked] (Robert Schmidt)

7 Aug 1997 10:42:14 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.01 [en] (WinNT; I)
Original-To: Sergey Okhapkin <[email-masked]>
Original-CC: cygnus <[email-masked]>, "'Jerome Gay'" <[email-masked]>
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Sergey Okhapkin wrote:
> 
> Jerome Gay wrote:
> > When run from bash, my program runs fine, when run from NT Command
> Prompt, I
> > got an exception at the very end of the execution (at the very end
> of the
> > main()), traceback is :
> >
> > In cygwin_except_handler exc C0000005 at ...
> > Exception trapped!
> > exception C0000005 at ...
> > ..
> 
> What is the trap address? It's very important - probably it will help
> to find why this version of cygwin.dll do not works on w95...

I also often get this exception when using gnu-win32 tools in NT 4.0,
but they only occur when I use them from within 4NT batch programs.  I
don't think it has ever happened when executing from the command line.
The exceptions occuring with the b18 tools have bothered me so much that
I've had to replace the tools I use most (grep, diff, tc and ls) with
other NT ports.

By the way - how does uwin32 (or whatever its name is) compare to
gnu-win32?

--
Robert Schmidt <[email-masked]>
Software Developer / Vingmed Sound tel +47 67124237 fax +47 67124355
Private tel +47 22352293 WWW http://www.nvg.unit.no/~rsc

    jeg lukker et oye og ser halvt
    jeg  lukker begge  og ser  alt            -- seigmen
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".